---
agentTools:
  projectIndex: https://sprinque.readme.io/llms.txt
---

# List all Payment Collection Accounts

Use this endpoint for getting the payment collection accounts for different currencies and countries. An account without the `countries` field should be used for all other countries for that currency.

# OpenAPI definition

```json
{
  "openapi": "3.0.3",
  "info": {
    "title": "Sprinque API",
    "version": "0.0.1",
    "description": "Sprinque API"
  },
  "paths": {
    "/api/v1/seller/payment-collection-accounts": {
      "get": {
        "operationId": "api_v1_seller_payment_collection_accounts_list",
        "description": "Use this endpoint for getting the payment collection accounts for different currencies and countries. An account without the `countries` field should be used for all other countries for that currency.",
        "summary": "List all Payment Collection Accounts",
        "parameters": [
          {
            "in": "header",
            "name": "X-API-KEY-ID",
            "schema": {
              "type": "string"
            },
            "description": "Sprinque authenticates using API keys. \n    API Key can be generated on the Sprinque \n    MCC portal from the “My Account” page. \n    The same key can be used for all API calls.",
            "required": true,
            "explode": true
          }
        ],
        "tags": [
          "Seller"
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/PaymentCollectionAccount"
                  }
                }
              }
            },
            "description": ""
          },
          "400": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/BadRequestError"
                }
              }
            },
            "description": ""
          },
          "401": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Unauthorized"
                }
              }
            },
            "description": ""
          },
          "429": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/TooManyRequests"
                }
              }
            },
            "description": ""
          },
          "500": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/InternalServerError"
                }
              }
            },
            "description": ""
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "BadRequestError": {
        "type": "object",
        "properties": {
          "type": {
            "allOf": [
              {
                "$ref": "#/components/schemas/TypeEnum"
              }
            ],
            "default": "api_error"
          },
          "code": {
            "type": "integer",
            "default": 400,
            "description": "Bad Request"
          },
          "message": {
            "type": "string",
            "default": "Bad Request",
            "description": "The request was unacceptable, often due to missing a required parameter."
          },
          "param": {
            "type": "string",
            "default": "",
            "description": "Request params"
          }
        }
      },
      "InternalServerError": {
        "type": "object",
        "properties": {
          "type": {
            "allOf": [
              {
                "$ref": "#/components/schemas/TypeEnum"
              }
            ],
            "default": "api_error"
          },
          "code": {
            "type": "integer",
            "default": 500,
            "description": "Server Errors"
          },
          "message": {
            "type": "string",
            "default": "Server Errors",
            "description": "Something went wrong on Sprinque Gateway's end."
          },
          "param": {
            "type": "string",
            "default": "",
            "description": "Request params"
          }
        }
      },
      "PaymentCollectionAccount": {
        "type": "object",
        "properties": {
          "currency_code": {
            "type": "string",
            "description": "Currency Code",
            "maxLength": 3
          },
          "countries": {
            "type": "array",
            "items": {
              "type": "string",
              "description": "Country Code",
              "maxLength": 2
            },
            "description": "Country codes of the countries this account is for"
          },
          "bank_name": {
            "type": "string",
            "description": "Bank Name"
          },
          "account_name": {
            "type": "string",
            "description": "Account Name"
          },
          "account_number": {
            "type": "string",
            "description": "Account Number"
          },
          "iban": {
            "type": "string",
            "description": "IBAN",
            "maxLength": 34
          },
          "bic": {
            "type": "string",
            "description": "BIC",
            "maxLength": 11
          },
          "sort_code": {
            "type": "string",
            "description": "Sort Code"
          },
          "routing_number": {
            "type": "string",
            "description": "Routing Number (for USD accounts)"
          },
          "bank_code": {
            "type": "string",
            "description": "Bank Code (for USD accounts)"
          }
        },
        "required": [
          "account_name",
          "bank_name",
          "bic",
          "currency_code",
          "iban"
        ]
      },
      "TooManyRequests": {
        "type": "object",
        "properties": {
          "type": {
            "allOf": [
              {
                "$ref": "#/components/schemas/TypeEnum"
              }
            ],
            "default": "api_error"
          },
          "code": {
            "type": "integer",
            "default": 429,
            "description": "Too Many Requests"
          },
          "message": {
            "type": "string",
            "default": "Too many requests",
            "description": "Too many requests hit the API too quickly.            We recommend an exponential backoff of your requests."
          },
          "param": {
            "type": "string",
            "default": "",
            "description": "Request params"
          }
        }
      },
      "TypeEnum": {
        "enum": [
          "i",
          "n",
          "v",
          "a",
          "l",
          "d",
          "_",
          "r",
          "e",
          "q",
          "u",
          "s",
          "t",
          "o"
        ],
        "type": "string",
        "description": "* `i` - i\n* `n` - n\n* `v` - v\n* `a` - a\n* `l` - l\n* `d` - d\n* `_` - _\n* `r` - r\n* `e` - e\n* `q` - q\n* `u` - u\n* `s` - s\n* `t` - t\n* `o` - o"
      },
      "Unauthorized": {
        "type": "object",
        "properties": {
          "type": {
            "allOf": [
              {
                "$ref": "#/components/schemas/TypeEnum"
              }
            ],
            "default": "api_error"
          },
          "code": {
            "type": "integer",
            "default": 401,
            "description": "Unauthorized"
          },
          "message": {
            "type": "string",
            "default": "Unauthorized",
            "description": "No valid API key provided."
          },
          "param": {
            "type": "string",
            "default": "",
            "description": "Request params"
          }
        }
      }
    }
  },
  "servers": [
    {
      "url": "https://api-sandbox.sprinque.com/"
    }
  ],
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "_id": {
    "buffer": {
      "0": 97,
      "1": 196,
      "2": 193,
      "3": 177,
      "4": 38,
      "5": 35,
      "6": 143,
      "7": 0,
      "8": 119,
      "9": 202,
      "10": 120,
      "11": 78
    }
  }
}
```